# Biblelib

[![Release](https://img.shields.io/github/v/release/Clear-Bible/Biblelib)](https://img.shields.io/github/v/release/Clear-Bible/Biblelib)
[![Build status](https://img.shields.io/github/workflow/status/sboisen/Biblelib/merge-to-main)](https://img.shields.io/github/workflow/status/sboisen/Biblelib/merge-to-main)
[![codecov](https://codecov.io/gh/sboisen/Biblelib/branch/main/graph/badge.svg)](https://codecov.io/gh/sboisen/Biblelib)
[![Commit activity](https://img.shields.io/github/commit-activity/m/sboisen/Biblelib)](https://img.shields.io/github/commit-activity/m/sboisen/Biblelib)
[![Docs](https://img.shields.io/badge/docs-gh--pages-blue)](https://sboisen.github.io/Biblelib/)
[![Code style with black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Imports with isort](https://img.shields.io/badge/%20imports-isort-%231674b1)](https://pycqa.github.io/isort/)
[![License](https://img.shields.io/github/license/sboisen/Biblelib)](https://img.shields.io/github/license/sboisen/Biblelib)

Utilities for working with Bible books, references, pericopes, and
other units. Note this does _not_ include any actual Bible texts.

- **Github repository**: <https://github.com/Clear-Bible/Biblelib
- **Documentation** may *eventually* arrive at
  <https://clear-bible.github.io/Biblelib/> but can be found in the
  `docs` directory, and built using `mkdocs`.

## Installation

```bash
$ pip install biblelib
```
## Acknowledgements

* Book abbreviations incorporate public conventions developed by
    * [Unified Standard Format Markers
      3.0.0](https://ubsicap.github.io/usfm/index.html) (USFM), which
      is © Copyright 2018, United Bible Societies.
    * [The Open Scripture Information Standard
      (OSIS)](https://crosswire.org/osis/)
    * [Logos Bible Software](http://www.logos.com/)
* Versification information included consulting sources from:
    * [The Copenhagen Alliance for Open Biblical Resources](http://copenhagen-alliance.org/)
    * [Paratext](https://paratext.org/)
