# Versification

Different Bible texts encode different choices about

* what books are included in their canon
* the order in which the books appear
* which verses are included or omitted, given certain text critical
  issues. This extends down to the word level in some cases.

[The Copenhagen Alliance for Open Biblical
Resources](http://copenhagen-alliance.org/) has identified several
"standard" versification schemes, along with the maximum number of verses in
each chapter compared to a "base" versification scheme.


The file `vref.txt` came from [Paratext](https://paratext.org/) and
specifies an explicit versification (known as the "Original"
versification, or `org`, for historical reasons).

Other resources:

* The SBL Handbook of Style, Appendix E, contains a table comparing
  English, Hebrew, and Greek versification differences. An older
  version of this is available at
  [7534.Hebrew+English+Bible+Chapter+Verse+Number+Differences.pdf](https://community.logos.com/cfs-file.ashx/__key/CommunityServer.Discussions.Components.Files/77/7534.Hebrew_2B00_English_2B00_Bible_2B00_Chapter_2B00_Verse_2B00_Number_2B00_Differences.pdf)
* Logos Bible Software encodes many different versification schemes
  for individual Bibles as "versemaps". See [Bible Verse
  Maps](https://wiki.logos.com/Bible_Verse_Maps) for further
  information.
